:root {
    --link: #9000d6;
    --link_visited: #9000d6;
}

@media (prefers-color-scheme: dark) {
    :root {
        --link: #cfa5ff;
        --link_visited: #cfa5ff;
    }
}

body {
    font-family: var(--font_transitional);
}

p.description {
    font-size: 0.9em;
}

a.post-date.u-url {
    visibility: hidden;
}

a.post-date.u-url time.dt-published {
    visibility: visible;
}

div.post-preview:not(:last-of-type) {
    border-bottom: 1px solid var(--code);
    margin-bottom: 2em;
}

a.page-link, a.page-link:hover {
    font-size: 0.8em;
}

a.page-link:before {
    margin-right: 5px;
}

a.page-link.Archive:before {
    content: '\f187';
    font: var(--fa-font-solid);
}

a.page-link.Photos:before {
    content: '\f030';
    font: var(--fa-font-solid);
}

a.page-link.LinkedIn:before {
    content: '\f08c';
    font: var(--fa-font-brands);
}

a.page-link.GitHub:before {
    content: '\f09b';
    font: var(--fa-font-brands);
}